Skip to content

Dynamic project API

Prefix: /api/p/:projectId. Credentials: project JWT, platform JWT/PAT, or service token (kfxs_…). Platform and service tokens bypass access rules.

Method Path Auth Description
POST /auth/register none (if project auth on) Register end-user
POST /auth/login none Login; project JWT
GET /auth/me project JWT Current _users row
POST /auth/verify service token Body { "token" }{ valid, user? }
Method Path Description
GET /:tableName List (page, pageSize, filter, sort)
GET /:tableName/:id Get
POST /:tableName Create
PUT /:tableName/:id Update
PATCH /:tableName Bulk update by filter
DELETE /:tableName/:id Delete
DELETE /:tableName Bulk delete by filter

The table name is the Kallax schema name. Endpoints must be enabled. See Query.

Method Path Description
POST /:table/:recordId/files/:field/upload-sessions Start presigned upload (filename, contentType, size)
POST /:table/:recordId/files/:field/:fileId/complete Finalize (uploadSessionId)
GET /:table/:recordId/files/:field/:fileId Presigned download URL
DELETE /:table/:recordId/files/:field/:fileId Delete file

Full URL example:

https://api.tefily.com/api/p/PROJECT_ID/posts